zwp_relative_pointer_v1_listener Struct Reference
The zwp_relative_pointer_v1 interface

`#include <relative-pointer-unstable-v1-client-protocol.h>`

## Data Fields

void(* | relative_motion )(void *data, struct zwp_relative_pointer_v1 *zwp_relative_pointer_v1, uint32_t utime_hi, uint32_t utime_lo, wl_fixed_t dx, wl_fixed_t dy, wl_fixed_t dx_unaccel, wl_fixed_t dy_unaccel)

## Detailed Description

Definition at line 182 of file relative-pointer-unstable-v1-client-protocol.h.

## Field Documentation

## relative_motion

void(* zwp_relative_pointer_v1_listener::relative_motion) (void *data, struct zwp_relative_pointer_v1 *zwp_relative_pointer_v1, uint32_t utime_hi, uint32_t utime_lo, wl_fixed_t dx, wl_fixed_t dy, wl_fixed_t dx_unaccel, wl_fixed_t dy_unaccel)

relative pointer motion

Relative x/y pointer motion from the pointer of the seat associated with this object.

A relative motion is in the same dimension as regular wl_pointer motion events, except they do not represent an absolute position. For example, moving a pointer from (x, y) to (x', y') would have the equivalent relative motion (x' - x, y' - y). If a pointer motion caused the absolute pointer position to be clipped by for example the edge of the monitor, the relative motion is unaffected by the clipping and will represent the unclipped motion.

This event also contains non-accelerated motion deltas. The non-accelerated delta is, when applicable, the regular pointer motion delta as it was before having applied motion acceleration and other transformations such as normalization.

Note that the non-accelerated delta does not represent 'raw' events as they were read from some device. Pointer motion acceleration is device- and configuration-specific and non-accelerated deltas and accelerated deltas may have the same value on some devices.

Relative motions are not coupled to wl_pointer.motion events, and can be sent in combination with such events, but also independently. There may also be scenarios where wl_pointer.motion is sent, but there is no relative motion. The order of an absolute and relative motion event originating from the same physical motion is not guaranteed.

If the client needs button events or focus state, it can receive them from a wl_pointer object of the same seat that the wp_relative_pointer object is associated with.

Parameters

  utime_hi | high 32 bits of a 64 bit timestamp with microsecond granularity
  utime_lo | low 32 bits of a 64 bit timestamp with microsecond granularity
  dx | the x component of the motion vector
  dy | the y component of the motion vector
  dx_unaccel | the x component of the unaccelerated motion vector
  dy_unaccel | the y component of the unaccelerated motion vector

Definition at line 226 of file relative-pointer-unstable-v1-client-protocol.h.

The documentation for this struct was generated from the following file:

- gen/relative-pointer-unstable-v1-client-protocol.h